# Uses of Enum Class
com.ocient.cli.extract.ExtractConfiguration.LocationType

Packages that use ExtractConfiguration.LocationType
Package
Description
com.ocient.cli.extract

## Uses of ExtractConfiguration.LocationType in com.ocient.cli.extract

Methods in com.ocient.cli.extract that return ExtractConfiguration.LocationType
Modifier and Type
Method
Description
`ExtractConfiguration.LocationType`
ExtractConfiguration.`getLocationType()`
`static ExtractConfiguration.LocationType`
ExtractConfiguration.LocationType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ExtractConfiguration.LocationType[]`
ExtractConfiguration.LocationType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in com.ocient.cli.extract with parameters of type ExtractConfiguration.LocationType
Modifier
Constructor
Description
``
`ExtractMetrics(String queryId, ExtractConfiguration.LocationType locationType, PerfCounter.ThreadingModel threadingModel)`